# /home/coin/svn-release/Blis-0.93.10/Clp/src/CoinAbcCommon.hpp File Reference

`#include "CoinPragma.hpp"`
`#include "CoinUtilsConfig.h"`
`#include <iostream>`
`#include <string>`
`#include <cassert>`
`#include <cstdio>`
`#include <cmath>`
`#include "AbcCommon.hpp"`
`#include "CoinHelperFunctions.hpp"`
`#include <endian.h>`
Include dependency graph for CoinAbcCommon.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | AbcTolerancesEtc
## Defines
#define | ABC_INLINE
#define | ABC_PARALLEL 0
#define | cilk_for for
#define | cilk_spawn
#define | cilk_sync
#define | SLACK_VALUE 1
#define | ABC_INSTRUMENT 1
#define | instrument_start(name, x)
#define | instrument_add(x)
#define | instrument_end()
#define | instrument_do(name, x)
#define | instrument_end_and_adjust(x)
#define | ABC_INTEL
#define | CoinFabs(x) fabs(x)
#define | TEST_DOUBLE_NONZERO(x) (true)
#define | USE_TEST_INT_ZERO
#define | TEST_INT_NONZERO(x) (x)
#define | TEST_DOUBLE_REALLY_NONZERO(x) (x)
#define | TEST_DOUBLE_NONZERO_REGISTER(x) (true)
#define | USE_FIXED_ZERO_TOLERANCE
#define | TEST_LESS_THAN_TOLERANCE(x) (fabs(x)<pow(0.5,43))
#define | TEST_LESS_THAN_UPDATE_TOLERANCE(x) (fabs(x)<pow(0.5,43))
#define | TEST_LESS_THAN_TOLERANCE_REGISTER(x) (fabs(x)<pow(0.5,43))
#define | ABC_EXPONENT(x) ((reinterpret_cast<int *>(&x))[1]&0x7ff00000)
#define | TEST_EXPONENT_LESS_THAN_TOLERANCE(x) (x<0x3d400000)
#define | TEST_EXPONENT_LESS_THAN_UPDATE_TOLERANCE(x) (x<0x3d400000)
#define | TEST_EXPONENT_NON_ZERO(x) (x)
#define | COINFACTORIZATION_BITS_PER_INT 32
#define | COINFACTORIZATION_SHIFT_PER_INT 5
#define | COINFACTORIZATION_MASK_PER_INT 0x1f
#define | ABC_DENSE_CODE 2
## Typedefs
typedef double | CoinSimplexDouble
typedef int | CoinSimplexInt
typedef unsigned int | CoinSimplexUnsignedInt
typedef unsigned int | CoinExponent
typedef unsigned char | CoinCheckZero
## Functions
template<class T >
void | CoinAbcMemset0 (register T *to, const int size)
template<class T >
void | CoinAbcMemcpy (register T *to, register const T *from, const int size)

## Define Documentation

#define ABC_INLINE

Definition at line 30 of file CoinAbcCommon.hpp.

#define ABC_PARALLEL 0

Definition at line 36 of file CoinAbcCommon.hpp.

#define cilk_for for

Definition at line 49 of file CoinAbcCommon.hpp.

#define cilk_spawn

Definition at line 50 of file CoinAbcCommon.hpp.

#define cilk_sync

Definition at line 51 of file CoinAbcCommon.hpp.

#define SLACK_VALUE 1

Definition at line 54 of file CoinAbcCommon.hpp.

#define ABC_INSTRUMENT 1

Definition at line 55 of file CoinAbcCommon.hpp.

#define instrument_start | ( | name,
|  | x |  | ) |

Definition at line 58 of file CoinAbcCommon.hpp.

#define instrument_add | ( | x |  | ) |

Definition at line 59 of file CoinAbcCommon.hpp.

#define instrument_end | ( |  | ) |

Definition at line 60 of file CoinAbcCommon.hpp.

#define instrument_do | ( | name,
|  | x |  | ) |

Definition at line 62 of file CoinAbcCommon.hpp.

#define instrument_end_and_adjust | ( | x |  | ) |

Definition at line 64 of file CoinAbcCommon.hpp.

#define ABC_INTEL

Definition at line 76 of file CoinAbcCommon.hpp.

#define CoinFabs | ( | x |  | ) | fabs(x)

Definition at line 86 of file CoinAbcCommon.hpp.

#define TEST_DOUBLE_NONZERO | ( | x |  | ) | (true)

Definition at line 96 of file CoinAbcCommon.hpp.

#define USE_TEST_INT_ZERO

Definition at line 98 of file CoinAbcCommon.hpp.

#define TEST_INT_NONZERO | ( | x |  | ) | (x)

Definition at line 100 of file CoinAbcCommon.hpp.

#define TEST_DOUBLE_REALLY_NONZERO | ( | x |  | ) | (x)

Definition at line 112 of file CoinAbcCommon.hpp.

#define TEST_DOUBLE_NONZERO_REGISTER | ( | x |  | ) | (true)

Definition at line 122 of file CoinAbcCommon.hpp.

#define USE_FIXED_ZERO_TOLERANCE

Definition at line 124 of file CoinAbcCommon.hpp.

#define TEST_LESS_THAN_TOLERANCE | ( | x |  | ) | (fabs(x)<pow(0.5,43))

Definition at line 136 of file CoinAbcCommon.hpp.

#define TEST_LESS_THAN_UPDATE_TOLERANCE | ( | x |  | ) | (fabs(x)<pow(0.5,43))

Definition at line 137 of file CoinAbcCommon.hpp.

#define TEST_LESS_THAN_TOLERANCE_REGISTER | ( | x |  | ) | (fabs(x)<pow(0.5,43))

Definition at line 146 of file CoinAbcCommon.hpp.

#define ABC_EXPONENT | ( | x |  | ) | ((reinterpret_cast<int *>(&x))[1]&0x7ff00000)

Definition at line 155 of file CoinAbcCommon.hpp.

#define TEST_EXPONENT_LESS_THAN_TOLERANCE | ( | x |  | ) | (x<0x3d400000)

Definition at line 159 of file CoinAbcCommon.hpp.

#define TEST_EXPONENT_LESS_THAN_UPDATE_TOLERANCE | ( | x |  | ) | (x<0x3d400000)

Definition at line 160 of file CoinAbcCommon.hpp.

#define TEST_EXPONENT_NON_ZERO | ( | x |  | ) | (x)

Definition at line 161 of file CoinAbcCommon.hpp.

#define COINFACTORIZATION_BITS_PER_INT 32

Definition at line 174 of file CoinAbcCommon.hpp.

#define COINFACTORIZATION_SHIFT_PER_INT 5

Definition at line 175 of file CoinAbcCommon.hpp.

#define COINFACTORIZATION_MASK_PER_INT 0x1f

Definition at line 176 of file CoinAbcCommon.hpp.

#define ABC_DENSE_CODE 2

Definition at line 220 of file CoinAbcCommon.hpp.

## Typedef Documentation

typedef double CoinSimplexDouble

Definition at line 21 of file CoinAbcCommon.hpp.

typedef int CoinSimplexInt

Definition at line 22 of file CoinAbcCommon.hpp.

typedef unsigned int CoinSimplexUnsignedInt

Definition at line 23 of file CoinAbcCommon.hpp.

typedef unsigned int CoinExponent

Definition at line 153 of file CoinAbcCommon.hpp.

typedef unsigned char CoinCheckZero

Definition at line 225 of file CoinAbcCommon.hpp.

## Function Documentation

template<class T >

void CoinAbcMemset0 | ( | register T * | to,
|  | const int | size |
| ) |  |  | `[inline]`

Definition at line 227 of file CoinAbcCommon.hpp.

template<class T >

void CoinAbcMemcpy | ( | register T * | to,
|  | register const T * | from,
|  | const int | size |
| ) |  |  | `[inline]`

Definition at line 238 of file CoinAbcCommon.hpp.